#use "axioms.ml";;
#load "alfp.cmo";;
open Alfp;;

let latex_format =
  "\\begin{itemize}" ^
  List.fold_left (fun latex_accum element ->
		    match element with
		      | Comment(str) -> latex_accum ^ "\n\n\\item " ^ str
		      | Clause(cl) -> latex_accum ^ "\\\\$" ^ (latex_of_cl cl) ^ "$"
		 ) "" axioms
  ^ "\\end{itemize}"
in
let outfile = "axioms.tex" in
let filechan = open_out outfile in
  output_string filechan latex_format
